> For the complete documentation index, see [llms.txt](https://docs.blynk.io/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blynk.io/en/blynk-library-firmware-api/installation/install-esp8266-core-for-arduino-ide.md).

# Install ESP8266 core for Arduino IDE

1. Install latest [Arduino IDE](https://www.arduino.cc/en/Main/Software).
2. Download and install Blynk library\
   (follow instructions of the latest [release package](https://github.com/blynkkk/blynk-library/releases/latest)).

Then, open the Arduino IDE, then select in the menu: `File -> Preferences`\
(`Arduino -> Preferences` for Mac).

Click on **Additional Boards Manager URLs** button and add this link:

```
http://arduino.esp8266.com/stable/package_esp8266com_index.json
```

![](https://uploads.intercomcdn.com/i/o/20866093/60ae89223dd38335c61e0f68/file_preferences.png)

In the Arduino IDE open: `Tools -> Board -> Boards Manager` .\
Search for `esp8266` , and install it:

![](https://uploads.intercomcdn.com/i/o/20866111/4bfaa4bd6bb2547a890ccfd3/boards_manager.png)

### Troubleshooting <a href="#troubleshooting" id="troubleshooting"></a>

In case you see Error downloading <http://downloads.arduino.cc/packages/package_index.json> like this:

![](https://uploads.intercomcdn.com/i/o/20866154/50e8eefe4218e5a69fb62f03/error_download_mac.png)

You need to find folder `Arduino15` or `.Arduino15` and remove all files inside with package word in name.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blynk.io/en/blynk-library-firmware-api/installation/install-esp8266-core-for-arduino-ide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
